Show / Hide Table of Contents

# PlayerLoopHelper Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class PlayerLoopHelper

##### Inheritance

System.Object → PlayerLoopHelper

### Members

#### Properties

Name | Description
--- | ---
IsMainThread |
MainThreadId |
UnitySynchronizationContext |

#### Methods

Name | Description
--- | ---
AddAction(PlayerLoopTiming, IPlayerLoopItem) |
AddContinuation(PlayerLoopTiming, Action) |
Initialize(ref PlayerLoopSystem, InjectPlayerLoopTimings) |

### Properties

#### IsMainThread

    public static bool IsMainThread { get; }

##### Property Value

System.Boolean

#### MainThreadId

    public static int MainThreadId { get; }

##### Property Value

System.Int32

#### UnitySynchronizationContext

    public static SynchronizationContext UnitySynchronizationContext { get; }

##### Property Value

SynchronizationContext

### Methods

#### AddAction(PlayerLoopTiming, IPlayerLoopItem)

    public static void AddAction(PlayerLoopTiming timing, IPlayerLoopItem action)

##### Parameters

`timing` PlayerLoopTiming
`action` IPlayerLoopItem

#### AddContinuation(PlayerLoopTiming, Action)

    public static void AddContinuation(PlayerLoopTiming timing, Action continuation)

##### Parameters

`timing` PlayerLoopTiming
`continuation` System.Action

#### Initialize(ref PlayerLoopSystem, InjectPlayerLoopTimings)

    public static void Initialize(ref PlayerLoopSystem playerLoop, InjectPlayerLoopTimings injectTimings = InjectPlayerLoopTimings.All | InjectPlayerLoopTimings.Standard | InjectPlayerLoopTimings.Minimum | InjectPlayerLoopTimings.Initialization | InjectPlayerLoopTimings.LastInitialization | InjectPlayerLoopTimings.EarlyUpdate | InjectPlayerLoopTimings.LastEarlyUpdate | InjectPlayerLoopTimings.FixedUpdate | InjectPlayerLoopTimings.LastFixedUpdate | InjectPlayerLoopTimings.PreUpdate | InjectPlayerLoopTimings.LastPreUpdate | InjectPlayerLoopTimings.Update | InjectPlayerLoopTimings.LastUpdate | InjectPlayerLoopTimings.PreLateUpdate | InjectPlayerLoopTimings.LastPreLateUpdate | InjectPlayerLoopTimings.PostLateUpdate | InjectPlayerLoopTimings.LastPostLateUpdate)

##### Parameters

`playerLoop` PlayerLoopSystem
`injectTimings` InjectPlayerLoopTimings